__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >(3)

NAME
__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata > -

SYNOPSIS

Inherits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >.

  Public Types
typedef _Alloc::template rebind< _ATraits > __rebind_at
typedef _Alloc::template rebind< _Node_base > __rebind_n
typedef _ATraits::const_iterator a_const_iterator
typedef __rebind_at::other::const_pointer a_const_pointer
typedef _ATraits access_traits
typedef _Alloc allocator_type
typedef _Node_base< _ATraits, Metadata > base_type
typedef type_traits::const_reference const_reference
typedef __rebind_n::other::pointer node_pointer
typedef type_traits::reference reference
typedef base_type::type_traits type_traits
typedef type_traits::value_type value_type

  Public Member Functions
_Leaf (const_reference other)
reference value ()
const_reference value () const

  Public Attributes
node_pointer m_p_parent
const node_type m_type

Detailed Description

  template<typename _ATraits, typename Metadata>struct __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >
Leaf node for PATRICIA tree.

Definition at line 162 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.